# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Not really clever convience method.
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

from distutils.core import setup

scripts = ['mapwoc/masterctrl/twisted_master.py',
           'mapwoc/nodectrl/twisted_node.py',
           'mapwoc/redirector/redirector.py']

packages = ['mapwoc.lib',
            'mapwoc.lib.model',
            'mapwoc.masterctrl',
            'mapwoc.nodectrl',
            'mapwoc.redirector']

# Additional scripts.
data_files = [('/usr/bin', ['mapwoc/masterctrl/cmds/pull_node_results.sh'])]

setup(name='mapwoc',
      author='Felix Wolfsteller', # Package Author
      author_email='felix.wolfsteller@intevation.de',
      description="Package for mapwoc, the Massive Automated Passive"
                  " Web Observation Center",
#      package_dir=package_dir,
      packages=packages,
      scripts=scripts,
      data_files=data_files,
      version='0.0.1',
      url='http://www.mapwoc.org',
      license="GPL" # TODO
      )
